---
title: RTCIceServer.url
slug: Web/API/RTCIceServer/url
tags:
  - Experimental
  - Obsolete
  - Property
  - RTCIceServer
  - Reference
  - URL
  - WebRTC
---
<p>{{APIRef("WebRTC")}}{{obsolete_header}}</p>

<p>{{draft("I'm experimenting with structure for pages documenting members of dictionaries. Please contact ~~sheppy with any feedback.")}}</p>

<p>{{SeeCompatTable}}</p>

<p>The <strong>obsolete</strong> {{domxref("RTCIceServer")}} dictionary's <strong><code>url</code></strong> property specifies the URL of a single ICE server to be used while negotiating connections. It was removed from the specification in June 2013 but is still broadly used in older examples and books, so we include documentation here to help adapt old code to new browsers.</p>

<p>This property has been removed from the specification; while it's still supported by many browsers, it should no longer be used. You should instead use the newer {{domxref("RTCIceServer.urls", "urls")}} property, which allows you to optionally specify multiple URLs for the server. Try to update any existing code to use that property instead.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var iceServer = {
                  ...
                  url = <em>iceServerUrl</em>,
                  ...
                };

var serverUrl = <em>iceServer</em>.url;

<em>iceServer</em>.url = <em>iceServerUrl</em>;</pre>

<p>The value of this property is a {{domxref("DOMString")}} containing the full URL of a server to use during ICE negotiation.</p>

<h2 id="Example">Example</h2>

<p>This example creates a new {{domxref("RTCPeerConnection")}} which will use a {{Glossary("STUN")}} server at <code>stunserver.example.org</code> to negotiate connections.</p>

<pre class="brush: js">myPeerConnection = new RTCPeerConnection({
  iceServers: [
    {
      url: "stun:stunserver.example.org"
    }
  ]
});</pre>

<p>Unfortunately, the only way to tell ICE that the server has a backup domain name of <code>stunserver2.example.org</code> is to add a new entry to the <code>iceServers</code> array for it. The {{domxref("RTCIceServer.urls", "urls")}} property lets you include them both in one server, which is more readily maintainable.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceServer.url")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("RTCIceServer")}}</li>
</ul>
